#include <stdio.h>

#include "cm11.h"

int test_sunrise()
{
    struct tagSunriseBin bin[10];
    int bins = SunsetStrip(bin, 10, 5);
    return 0;
}

int monitor()
{
    STREAM inStream = OpenStream("monitor.cm11");

    ReadAliasFile(ALIAS_DEFAULT);
    if (inStream) {
        ReadMacroFile(inStream);
    }
    if (!InstallSerialDrivers(DEVICE_DEFAULT)) {
        Cm11ServiceLoop(0);
    }
    CleanupMacroStuff();
    CleanupAliasStuff();
}


int download_eprom()
{
    STREAM inStream = OpenStream("baseline.cm11");

    ReadAliasFile(ALIAS_DEFAULT);
    
    if (inStream) {
        BYTE *eprom;
        int epromLength;
        
        ReadMacroFile(inStream);
        epromLength = CreateEpromImage(&eprom);
        fprintf(stderr,"Eprom length = %x\n", epromLength);
        
        if (epromLength > 0) {
            if (!InstallSerialDrivers(DEVICE_DEFAULT)) {
                DumpEprom(eprom, epromLength);
                EpromDownload(eprom, epromLength);
                Cm11ServiceLoop(1);
            }
        }
    }
    CleanupMacroStuff();
    CleanupAliasStuff();
    return 0;
}


int main()
{
    download_eprom();
    
}
